Bug 13937 - RFE:End of installation should HALT instead of reboot
RFE:End of installation should HALT instead of reboot
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-14 09:59 EDT by Peter Petrakis
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 14:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Petrakis 2000-07-14 09:59:53 EDT
When an install finishes it insists that you much reboot. Quite annoying
when on an Alpha you could init 0 instead which would drop you to the
SRM/MILO prompt with no need for pressing the reset button or waiting till
the console reinitializes to hit CTRL+C.
Comment 1 Michael Fulbright 2000-07-17 12:21:35 EDT
Thank you for the feature request we will add it to our list.
Comment 2 mchampig 2000-07-17 21:39:45 EDT
Hmmmm...I installed beta3 on an XP1000 and an AlphaServer 3300 today and both halted after the install.
It was 6.2 that ended up rebooting instead. Maybe it's only on certain Alpha models.
Comment 3 Peter Petrakis 2000-09-17 13:52:18 EDT
It's always been a problem on my LX system and all the UP1x and UP2000 show the
same behavior. ideally what I would like to see is the stock kernel have Jay's
SRM callbacks so that at the end of the installation SRM could be configured to
boot the new OS by simply type >>> boot after Redhat Installer has finished. 
Comment 4 Matt Wilson 2000-09-17 18:57:25 EDT
Jay has SRM callbacks?

Currently I call reboot with RB_HALT_SYSTEM on alpha - I do not know why it
would not stop at SRM.
Comment 5 Peter Petrakis 2000-09-18 10:11:07 EDT
You need at least kernel-2.2.16 and if you want to use the SRM proc interface
you need to get the patches off the Compaq jumpstart CD. 

http://www.linuxalpha.compaq.com/sourceforge/project/?group_id=3

The last beta I tested from Redhat had this problem atleast the UP2000. I can't
remember that far back as to if other API boards had the same symptoms. When
the next beta release for Alpha comes out I'll test it and let you know.
Comment 6 Brock Organ 2000-10-17 17:20:24 EDT
we will defer this issue to the next release ... thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.